%define _legacy_common_support 1
%define tarver	%{expand:%(echo %{version}|rev|sed 's/\\\./\-/'|rev)}

Name:		simh
Summary:	A collection of simulators of historically significant data processing systems
Version:	3.12.2
Release:	%mkrel 1
License:	MIT
Group:		Emulators
# Note only use open-simh sources.
Url:		https://github.com/open-simh/simh
Source0:	https://github.com/open-%{name}/%{name}/archive/refs/tags/v%{version}/%{name}-%{tarver}.tar.gz

BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(vdeplug)

%description
This package contains simulators of the following systems:
* Data General Nova, Eclipse
* Digital Equipment Corporation PDP-1, PDP-4, PDP-7, PDP-8, PDP-9, PDP-10,
  PDP-11, PDP-15, VAX
* GRI Corporation GRI-909, GRI-99
* IBM 1401, 1620, 7090/7094, System 3
* Interdata (Perkin-Elmer) 16b and 32b systems
* Hewlett-Packard 2114, 2115, 2116, 2100, 21MX, 1000
* Honeywell H316/H516
* MITS Altair 8800, with both 8080 and Z80
* Royal-Mcbee LGP-30, LGP-21
* Scientific Data Systems SDS 940

%prep
%setup -q -n %{name}-%{tarver}

%build
%set_build_flags
# Parallel build is unreliable
make CFLAGS_G="$CFLAGS"

%install
rm -rf BIN/buildtools

pushd BIN
for i in *; do
    mv ${i} %{name}-${i}
done
popd

mkdir -p %{buildroot}%{_bindir}
install -m 755 BIN/* %{buildroot}%{_bindir}

%files
%doc *.txt */*txt
%{_bindir}/%{name}-*


%changelog
* Mon Aug 08 2022 barjac <barjac> 3.12.2-1.mga9
+ Revision: 1876286
- new version 3.12.2
- new upstream open-simh
- new BRs SDL and vdeplug
- use pkgconfig for BRs
- license now MIT
- drop tarball script

* Tue Mar 29 2022 umeabot <umeabot> 3.11.1-2.mga9
+ Revision: 1831105
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 barjac <barjac> 3.11.1-1.mga8
+ Revision: 1616615
-fcommon to fix build
- new version 3.11.1
- fix tarball create script

* Fri Feb 14 2020 umeabot <umeabot> 3.9.0-4.mga8
+ Revision: 1517039
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 3.9.0-3.mga7
+ Revision: 1301034
- Mageia 7 Mass Rebuild

* Wed Sep 20 2017 cjw <cjw> 3.9.0-2.mga7
+ Revision: 1156443
- pass optflags to make to fix debug packages

* Fri Apr 01 2016 barjac <barjac> 3.9.0-1.mga6
+ Revision: 997529
- clean spec and re-work for mga
- import simh with thanks to Fedora


* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 24 2014 Lucian Langa <cooly@gnome.eu.org> - 3.9.0-1
- sync with latest upstream stable
- drop all patches - fixed upstream
- fix bogus dates

* Tue Aug 06 2013 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-11
- don't create versioned docdir

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed May 19 2010 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-6
- bump rel to fix NVR higher than previous version

* Sat Jan 09 2010 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-5
- fix altair segfault

* Tue Nov 17 2009 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-4
- add correct source

* Fri Nov 13 2009 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-3
- update description

* Sun Nov 08 2009 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-2
- add correct generate script

* Thu Oct 08 2009 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-1
- remove separate docs
- misc cleanups
- new upstream release

* Wed Dec 24 2008 Lucian Langa <cooly@gnome.eu.org> - 3.8.0-1
- initial spec file


